Subject: Difference between skb_put() and skb_push()

From: Akshay Kawale <[email-masked]>
Date: Thu, 31 Mar 2005 00:46:03 -0500

Hi,

I was wondering about the difference between skb_put() and skb_push().
Both appear to take in the same parameters and produce the same result
- that of lengthening the data area.

If I wanted to add data before the current data area, which one should I use?
(e.g. my data is 5678... and I wanted to prepend 1234 to it).

I am using these functions in a Netfilter hook to insert a header
between TCP and IP for a course project I am doing.

Please help me!!! :-)

Thanks.

- Akshay